ProcessBlastReport (BioJava Demos API)
Keywords: ssbind.ProcessBlastReport class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ssbind
Class ProcessBlastReport

    java.lang.Object
      ssbind.ProcessBlastReport

    public class ProcessBlastReport

extends Object

Driver script that parses a blast report and pumps the result through a configurable chain of filters and handlers.

This command expects to be given a blast report as the first argument, a SearchContentHandler with a no-args constructor as the last argument and any number of SearchContentFilters inbetween. It assumes that all classes can be configured using beany accessors (get/setFoo methods). If you supply the class name as-is, the class will be instantiated. If you give the class name followed by brackets, you can put any number of property names and their values within the brackets.

## Example

     # echo parsing events to stdout
     java ProcessBlastReport blast.out ssbind.Echoer

     # echo events that are left after all hits with expectedValue greater
     # than 0.1 have been removed
     java ssbind.ProcessBlastReport blastFile.out \
        "ssbind.FilterByValue(maxVal=0.1 keyName=expectedValue)" \
        ssbind.Echoer

     # echo the percentageIdentity of all alignments between 100 and 200 in length
     java ssbind.ProcessBlastReport blastFile.out \
       "ssbind.FilterByValue(minVal=100 maxVal=200 keyName=alignmentSize)" \
       "ssbind.PropertyEchoer(keyName=percentageIdentity)"

Author:
  Matthew Pocock

Constructor Summary
`ProcessBlastReport()`

Method Summary
`static void` | `main(String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProcessBlastReport

    public ProcessBlastReport()

Method Detail

### main

    public static void main(String[] args)
                     throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD